Package org.apache.synapse.experimental.mediators.seda

## Class SEDAQueueConsumerPolicy

- java.lang.Object
- - org.apache.synapse.experimental.mediators.seda.SEDAQueueConsumerPolicy

-     public class SEDAQueueConsumerPolicy
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DRAIN` |
    `static String` | `DRAINALL` |
    `static String` | `POLL` |
    `static String` | `TAKE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SEDAQueueConsumerPolicy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAction()` |
    `int` | `getMaxElementsOnPoll()` |
    `long` | `getTimeoutOnPoll()` |
    `void` | `setAction​(String action)` |
    `void` | `setMaxElementsOnPoll​(int maxElementsOnPoll)` |
    `void` | `setTimeoutOnPoll​(long timeoutOnPoll)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAKE

          public static final String TAKE

      See Also:
        Constant Field Values

    - #### POLL

          public static final String POLL

      See Also:
        Constant Field Values

    - #### DRAINALL

          public static final String DRAINALL

      See Also:
        Constant Field Values

    - #### DRAIN

          public static final String DRAIN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SEDAQueueConsumerPolicy

          public SEDAQueueConsumerPolicy()

  - ### Method Detail

    - #### getTimeoutOnPoll

          public long getTimeoutOnPoll()

    - #### setTimeoutOnPoll

          public void setTimeoutOnPoll​(long timeoutOnPoll)

    - #### getMaxElementsOnPoll

          public int getMaxElementsOnPoll()

    - #### setMaxElementsOnPoll

          public void setMaxElementsOnPoll​(int maxElementsOnPoll)

    - #### getAction

          public String getAction()

    - #### setAction

          public void setAction​(String action)